# -*- coding: utf-8 -*-
from setuphelpers import *
import glob

def install():

    if type_debian():
        install_apt('xdg-utils')

    if type_redhat():
        install_yum('xdg-utils')

    # décompressez l'archive
    run('tar xzf %s -C /opt/' % glob.glob('*.tar.gz')[0])

    # ajoutez olvid au PATH
    run('ln -sf /opt/olvid/bin/olvid /usr/bin/olvid')

    if not isdir('/usr/share/desktop-directories'):
        mkdirs('/usr/share/desktop-directories')

    # configurez xdg pour automatiquement ouvrir Olvid avec certaines url
    run('xdg-desktop-menu install /opt/olvid/share/olvid-olvid.desktop')

    #run('update-desktop-database $HOME/.local/share/applications/')

def remove():
    run('xdg-desktop-menu uninstall /opt/olvid/share/olvid-olvid.desktop')
    remove_tree('/opt/olvid')


def audit():
    if isfile('/opt/olvid/bin/olvid'):
        return "OK"
    else:
        print('/opt/olvid/bin/olvid not found')
        return "ERROR"